Home > Support > Knowledge Base
Knowledge Base
 
Reset Search
Search
 

 

Knowledge

Series 1 XBee / XBee-PRO 802.15.4 and DigiMesh 2.4 Compatibility Factsheet

« Go Back

Information

 
Problem Resolution
Note: This article uses the terms "XBee" and "module" interchangeably to mean both
XBee and XBee-PRO 802.15.4 modules, unless otherwise noted.


Series 1 modules employ a Freescale-based processor and are identifiable by module part
number. This is found on a label on the XBee module's underside as in the picture below:




  • Series 1 modules which originally shipped with 802.15.4 firmware have a part number starting with either XB24-A or XBP24-A

  • Series 1 modules which originally shipped with DigiMesh 2.4 firmware have a part number starting with XB24-DM or XBP24-DM

  • Other information such as revision number/letter, date code, or version of firmware the module originally shipped can also be useful when determining compatibility
The determining factor for firmware compatibility with DigiMesh 2.4 and/or later 802.15.4 firmware is whether or not the module has SiP (System-in-Package) technology. Series 1 modules follow the approximate guidelines listed in the table below:

If XBee/XBee-PRO part
number begins with:
SiP modules began
shipping approximately:
   
XB24-AWI December 2007
XB24-ACI December 2007
XB24-AUI December 2007
XB24-ASI December 2007
   
XBP24-AWI April 2008
XBP24-ACI April 2008
XBP24-AUI April 2008
XBP24-ASI April 2008

*** Unless otherwise stated, modules manufactured after the indicated month from the table above will be revision B or later (SiP) hardware One or more of the following will generally be true of modules with SiP:
  • Module is rev. B or later

  • Module was originally shipped with firmware version 1084, 10A5, or later

  • Datecode of module beginning with a part number from Table 1 is after the cutoff date listed

Firmware/Hardware compatibility overview:
  • All 802.15.4 firmware of version 10A5 or later is compatible with both SIP and non-SIP
    (example: 10C8, 10CD, 10E6, etc)
  • A SiP module, if using 802.15.4 firmware, requires version 1084, 10A5, or later
  • DigiMesh 2.4 firmware requires a module with SiP
Note: Even though DigiMesh firmware may load successfully onto a non-SiP module, it will not function correctly.


Here are links where you can get the firmwares mentioned above:

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255